This topic describes the Redis engine versions that are supported by ApsaraDB for Redis.

ApsaraDB for Redis supports multiple Redis engine versions, including 2.8, 4.0, and 5.0. ApsaraDB for Redis instances of all versions support the following native Redis databases:

  • ApsaraDB for Redis instances that use Redis engine 2.8 are compatible with native Redis versions 2.8 to 3.2.
  • ApsaraDB for Redis instances that use Redis engine 4.0 are compatible with native Redis versions 4.0 and earlier (for example, 2.8).
  • ApsaraDB for Redis instances that use Redis engine 5.0 are compatible with native Redis versions 5.0 and earlier, such as 4.0 and 2.8.

For more information, see Overview.